- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Public Attributes | Static Public Attributes

# QVectorData Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file qvector.h.

`#include <qvector.h>`

Inheritance diagram for QVectorData:
[legend]

List of all members.

## Static Public Member Functions
static QVectorData * | malloc (int sizeofTypedData, int size, int sizeofT, QVectorData *init)
static QVectorData * | allocate (int size, int alignment)
static QVectorData * | reallocate (QVectorData *old, int newsize, int oldsize, int alignment)
static void | free (QVectorData *data, int alignment)
static int | grow (int sizeofTypedData, int size, int sizeofT, bool excessive)
## Public Attributes
QBasicAtomicInt | ref
int | alloc
int | size
uint | sharable: 1
uint | capacity: 1
uint | reserved: 30
## Static Public Attributes
static QVectorData | shared_null

## Member Function Documentation

static QVectorData* malloc | ( | int | sizeofTypedData,
|  | int | size,
|  | int | sizeofT,
|  | QVectorData * | init
| ) |  | `[static]`

Search for all occurrences

static QVectorData* allocate | ( | int | size,
|  | int | alignment
| ) |  | `[static]`

Search for all occurrences

static QVectorData* reallocate | ( | QVectorData * | old,
|  | int | newsize,
|  | int | oldsize,
|  | int | alignment
| ) |  | `[static]`

Search for all occurrences

static void free | ( | QVectorData * | data,
|  | int | alignment
| ) |  | `[static]`

Search for all occurrences

static int grow | ( | int | sizeofTypedData,
|  | int | size,
|  | int | sizeofT,
|  | bool | excessive
| ) |  | `[static]`

Search for all occurrences

## Member Data Documentation

QBasicAtomicInt ref

Search for all occurrences

Definition at line 65 of file qvector.h.

int alloc

Search for all occurrences

Definition at line 66 of file qvector.h.

int size

Search for all occurrences

Definition at line 67 of file qvector.h.

uint sharable

Search for all occurrences

Definition at line 74 of file qvector.h.

uint capacity

Search for all occurrences

Definition at line 75 of file qvector.h.

uint reserved

Search for all occurrences

Definition at line 76 of file qvector.h.

QVectorData shared_null `[static]`

Search for all occurrences

Definition at line 79 of file qvector.h.

The documentation for this struct was generated from the following file:

- QtCore/qvector.h